<?php

/*
 
        Contenu table : place.

        07/03/2021 10:45

        lvardon@laposte.net - 2021

        Licence libre
        
*/

include_once "dbconnect.php";
include_once "phpdb/class_place.php";
include_once "phpdb/class_place_ext.php";

// Class instance
$myplace = new place( $db );

// Select all reccords
$results = $myplace->selectAll();
if ($results === false) {
	echo "Erreur : ".$myplace->lasterror."<br>";
}


echo '<div style="margin-left:15%; margin-right:15%"" >';

echo '<span class="titleedit">Lieu</span>';

echo '<span style="margin-left:1em;" class="">Liste des adresses des &eacute;v&eacute;nements</span>';

echo '<span style="margin-left:1em;" class="linkbutton"><a href="index.php?page=phpui/edit_place&table=place&id=-1">Nouveau</a></span>';

?>

<table id="datatable" class="display" cellspacing="0" >

    <thead>

        <tr>            
             <?php echo $myplace->getTableHeaderList(); ?>
        </tr>

    </thead>

    <tbody>

<?php


foreach($results as $row) {

	$rowkeyvalue=$row['a.id'];

    echo "\n";   
    echo '<tr>';

    foreach($row as $key => $value) {

        $fieldLen = $myplace->getTableFieldLenList( $key );
        if ( $fieldLen == 0 )
			continue;
        
        echo '<td>';

        $datafollow="";    
        $dataDisplay=$value;
        if ( strlen($value) > $fieldLen ) {
            $datafollow="...";     
            $dataDisplay=mb_substr($value, 0, $fieldLen);
        }
                
        
        if ( $myplace->getTableFieldLinkList( $key ) == 'on' ) {
			
            echo '<a title="'.$value.'" href="index.php?page=phpui/edit_place&table=place&id='.$rowkeyvalue.'">'.$dataDisplay.$datafollow.'</a>';        
		}
        else 

			switch ($myplace->getMeta($key , 'listdisplay')) {
			  case 'color':    
				echo '<span style="display:none" >'.$value.'</span>';
				$iconwidth = $myplace->getMeta($key , 'listdisplaywidth');
				$iconheight = $myplace->getMeta($key , 'listdisplayheight');				
				echo '<div title="'.$value.'" style="height:0;width:'.$iconwidth.'%;padding-bottom:'.$iconheight.'%;background-color:'.$value.'">';
				break;
				
			  case 'urlpic':    
				echo '<span style="display:none" >'.$value.'</span>';
				$iconwidth = $myplace->getMeta($key , 'listdisplaywidth');
				$iconheight = $myplace->getMeta($key , 'listdisplayheight');
				if ( file_exists($value) )
					echo '<img alt="'.$value.'" title="'.$value.'" src="'.$value.'" width='.$iconwidth.' height='.$iconheight.'>';
				else
					echo '<img alt="image inexistante" title="image inexistante" src="img/missing.png" width='.$iconwidth.' height='.$iconheight.'>';			  
				break;
				
			  case 'url':
					echo '<span style="display:none" >'.$value.'</span>';		  
					echo '<a title="'.$value.'" href="'.$value.'" target="_blank" >'.$dataDisplay.$datafollow.'</a>';				
				break;

				case 'icondoc':    
					if (file_exists($value)) {
						$ext = pathinfo($value, PATHINFO_EXTENSION); 
						echo '<a href="'.$value.'">';
						echo '<div class="fi fi-'.$ext.'">
							<div title="'.$value.'" class="fi-content">'.$ext.'</div>
						</div>';
						echo '</a>';
					}
				break;	

			  default:
			    if ($myplace->getMeta($key , 'sortformat') == 'date') {
					$sortData = substr($value, 6,4) . substr($value, 3,2) . substr($value, 0,2) ; // database : dd/mm/yyyy 
					echo '<span style="display:none" >'.$sortData.'</span>'.'<div title="'.$value.'">'.$dataDisplay.$datafollow.'</div>';
				}
				else
					echo '<div title="'.$value.'">'.$dataDisplay.$datafollow.'</div>';
			}

        echo '</td>';
        echo "\n";
    }
    echo '</tr>';    
} 

?>

    </tbody>

</table>

</div>

