<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="utf-8">
    <title>Généalogik</title>

    <link rel="stylesheet" href="css/page.css">
    <link rel="stylesheet" href="css/menu.css">
    <link rel="stylesheet" href="css/field.css"> 
    
    <script src="http://code.jquery.com/jquery-1.11.3.min.js"></script>
    
    <script type="text/javascript" charset="utf8" src="js/DataTables/datatables.js"></script>
    
    <link rel="stylesheet" href="js/DataTables/datatables.min.css"> 

    <link rel="stylesheet" href="https://unpkg.com/purecss@2.0.3/build/pure-min.css" integrity="sha384-cg6SkqEOCV1NbJoCu11+bm0NvBRc8IYLRGXkmNrqUBfTjmMYwNKPWBTIKyw9mHNJ" crossorigin="anonymous">

    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.8.4/moment.min.js"></script>
    <script src="https://cdn.datatables.net/plug-ins/1.10.19/sorting/datetime-moment.js"></script>
 
	<!-- http://bgrins.github.io/spectrum/ -->
	<script src='js/spectrum-1.8.1/spectrum.js'></script>
	<link rel='stylesheet' href='js/spectrum-1.8.1/spectrum.css' />

	<!-- https://github.com/colorswall/CSS-file-icons -->
	<link rel="stylesheet" href="css/icons/css-file-icons.css" />

    <script type="text/javascript">

        $(document).ready(function() {
						
            $('#datatable').DataTable( {
                xautoWidth: false,
                xcolumnDefs: [
                    { "width": "10px", "targets": [0] },       
                    { "width": "20px", "targets": [1] }
                  ] ,                
                language: {
                            "sEmptyTable":     "Aucune donnée disponible dans le tableau",
                            "sInfo":           "Affichage de l'élément _START_ à _END_ sur _TOTAL_ éléments",
                            "sInfoEmpty":      "Affichage de l'élément 0 à 0 sur 0 élément",
                            "sInfoFiltered":   "(filtré à partir de _MAX_ éléments au total)",
                            "sInfoPostFix":    "",
                            "sInfoThousands":  ",",
                            "sLengthMenu":     "Afficher _MENU_ éléments",
                            "sLoadingRecords": "Chargement...",
                            "sProcessing":     "Traitement...",
                            "sSearch":         "Rechercher :",
                            "sZeroRecords":    "Aucun élément correspondant trouvé",
                            "oPaginate": {
                                "sFirst":    "Premier",
                                "sLast":     "Dernier",
                                "sNext":     "Suivant",
                                "sPrevious": "Précédent"
                            },
                            "oAria": {
                                "sSortAscending":  ": activer pour trier la colonne par ordre croissant",
                                "sSortDescending": ": activer pour trier la colonne par ordre décroissant"
                            },
                            "select": {
                                    "rows": {
                                        "_": "%d lignes sélectionnées",
                                        "0": "Aucune ligne sélectionnée",
                                        "1": "1 ligne sélectionnée"
                                    } 
                            }
                }

            } );


            $("#menu_<?php if (isset( $_REQUEST['table'])) echo $_REQUEST['table']; else echo ''; ?>").addClass("nav_current");

        } );

    </script>
  </head>
  <body>

<?php

$page = $_REQUEST['page'];

include "menu.php";

$page=$page.".php";

if (file_exists($page))
    include $page;
else {
	if ($page != ".php") echo "Erreur: ".$page." n'existe pas<br>";
}
?>

  </body>
</html>


